Support » Plugin: Sermon Browser » Error loading bible verses

  • I am getting the following error each time Sermon Browser attempts to download a sermon’s associated associated bible verse:

    ERROR: The IP key is no longer supported. Please use your access key, the testing key ‘TEST’

    I am using the default ESV bible and, other than adding new sermons, there have been no changes to the page. This is apparently new, as it was working fine two weeks ago. The error appears on all sermons, not just the more recent ones.

    A search on the error yielded no results. Any help/suggestions/sympathy would be appreciated.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 36 total)
  • Hi, same problem here. Lynda

    A little more digging shows that version 2 of the API was deprecated a while back and disappeared on November 1, 2017. We need to use version 3 now. I haven’t tried to get a new API or update the code since 5pm on a Friday afternoon is not the best time for this sort of thing. For now, the shortcake [esvtext] is just commented out on the sermon page template.

    I was able to fix this by editing wp-content/plugins/sermon-browser/sb-includes/frontend.php. On line 418 (for me), in the function sb_add_esv_text, in the URL string, change key=IP to key=TEST. I don’t know what the limitations of this TEST key are or how long it will continue to work.

    Thanks lwalen @lwalen that worked a treat for me!

    That absolutely worked for me. My reference was also on line 418.

    Thanks, once again. I surely do appreciate the help.

    Thanks! that fix worked for me too!

    After applying the fix, I now get the following error:

    ERROR: You have exceeded your quota of 5000 requests per day. Please contact the developer of this application if you have questions. (If you’re the developer and have questions about this error message, please contact Crossway.)ERROR: You have exceeded your quota of 5000 requests per day. Please contact the developer of this application if you have questions. (If you’re the developer and have questions about this error message, please contact Crossway.)

    I use a similar plugin for ESV on my church’s website and was getting this error as well. You should be able to solve this with a few steps:

    1) Go to api.esv.org and register for an authorization token.

    2) Modify the $esv_url to this prefix: https://api.esv.org/v3/passage/html/?q= If you want to support multiple versions in the curl call in step 3, you could easily pass the $version along and and add a check for version type in sb_download_page function mentioned in step 3.

    3) Update the sb_download_page function to allow for some extra params in the curl request when the version is esv:

    $curl = curl_init();
    curl_setopt_array($curl, array(
    	CURLOPT_URL => $esv_url,
    	CURLOPT_RETURNTRANSFER => true,
    	CURLOPT_ENCODING => "",
    	CURLOPT_MAXREDIRS => 10,
    	CURLOPT_TIMEOUT => 30,
    	CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    	CURLOPT_CUSTOMREQUEST => "GET",
    	CURLOPT_HTTPHEADER => array(
    		"authorization: Token ###VALUE-FROM-API.ESV.ORG-SETUP###",
    		"cache-control: no-cache"
    	),
    ));
    
    $response = curl_exec($curl);
    $err = curl_error($curl);
    
    curl_close($curl);
    
    $json = json_decode($response, true);
    $contents = $json["passages"][0];
    

    @lwalen “fix will cause EVERYONE to get the error @benboardman reports. I think the answer is to get your own AI key and not to share one. Second issue is the V2 APi is deprecated. I think @klandis79 fix may be on track, TBD. Some guidance from the pluging authors would be appreciated.

    Hi all, I’m trying to edit the frontend.php in the WordPress plug-in editor, but when I click ‘Update File’, I end up getting a ‘This site can’t be reached’ in my web browser. I’ve tried Chrome, IE, and Opera and they all have this error.

    Would someone be able to help me figure out how to actually edit the plugin in wordpress?

    Changing it to TEST worked for me for now too! Thanks for the help!

    So it looks like they want everyone to have their own API key – which is free and easy to get in 5 minutes @ https://api.esv.org.

    However, I put mine in (on line 418 as discussed above) and now I just get a different error. “ERROR: We could not find your access key. Please email webmaster@crossway.org if you have questions.” Down a rabbit hole…

    as jreeserc mentioned, you get your access key by going to https://api.esv.org. Then you have to make sure the link that starts:
    $esv_url = ‘http://www.esvapi.org/v2/rest/passageQuery?key=
    is changed to v3 instead of the v2 that is shown. That should validate the key you created. If you do not change it to v3 it will not validate the key you created. Change this in the file located at wp-content/plugins/sermon-browser/sb-includes/frontend.php. This can be found by going to the plugin editor and choosing Sermon Browser from the drop-down. From there you can navigate to this file and edit it accordingly.

    @douglaseraye I didn’t catch the v2/v3 change before and was just left with that error I mentioned above. I changed to v3 and now the references just totally disappeared – with no error.

    I emailed that address but of course got no response. I’m not ready to migrate to Sermon Manager yet so it would be nice to have this working for a little while yet.

    @jreeserc it was working well for me for a while and then I started getting a 504 error on the page a couple days ago. There is some kind of server communication error going on. No idea as of yet how to correct the issue. Could be on my server end but I’m not sure yet. After the holidays I will tackle my error and hopefully be able to post an update.

Viewing 15 replies - 1 through 15 (of 36 total)
  • The topic ‘Error loading bible verses’ is closed to new replies.